# Role: clevis

## Description

Install clevis and bind it to tang.

https://github.com/latchset/clevis

https://github.com/latchset/tang

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.clevis
  vars:
    ...
```

### Vars

`clevis_dracut_network_module`:

Dracut module to enable for network in initrd.

Required for connecting to `tang` during boot.

`clevis_luks_tang_binds`:

List of binds to connect with `tang`.
The objects are passed to `clevis luks bind` command, with arguments taken from the object fiels:
- 'device'
- 'url'
